Ubuntu使用apt-file解决库或者文件缺失依赖

1 问题发现
有的时候编译或者安装软件包,会提示缺少某个文件,比如头文件或者动态链接库xxx.so文件等, 虽然我们知道这是因为没有安装某个必须的软件包所致,却不知道具体是哪个软件包

2 问题解析
解决这样的问题,在fedora/RHEL 上,使用yum whatprovides可以很轻松的查到

相应的,在ubuntu下面有什么解决方案?

可使用apt-file工具。

3 apt-file
apt-file 是一个命令行界面的 APT 包搜索工具。当我们在编译源代码时,时有缺少文件的情况发生。此时,通过 apt-file 就可以找出该缺失文件所在的包,然后将缺失的包安装后即可让编译顺利进行了。

3.1 安装配置apt-file
首先安装apt-file管理器

sudo apt-get install apt-file

接着更新apt-file的缓存

apt-file update

 

 

 

此过程将持续一会儿,以后如果修改了sources.list,仍需执行该操作

3.2 apt-file搜索文件依赖


现在你可以使用apt-file搜索缺失的文件了

在安装WPS时,提示缺少libgthread-2.0.so.0
此时,输入

apt-file search libgthread-2.0.so.0

 

 

 然后使用apt-get install可安装缺失的软件包

apt-get install libglib2.0-0

3.3 列出包中的文件

apt-file list 包名称

 

 

 

 

推荐这些文章:

Ubuntu 系统在线更新

更新包列表:
sudo apt-get update
 
将已安装的软件包升级到其最新版本:
sudo apt-get upgrade
 
执行涉及更改依赖关系,根据需要添加或删除新包的任何其他升级:
sudo apt-get dist-upgrade
 
检查新版本并进行升级:
 sudo do-release-upgrade

...

Ubuntu 中 NS3 安装

创建setup文件
#!/bin/sh
sudo apt-get install gcc g++ python -y
sudo apt-get install gcc g++ python python-dev -y
sudo apt-get install mercurial -y
sudo apt-get install bzr -y
sudo apt-get install gdb valgrind -y
sudo apt-get install gsl-bin libgsl0-dev libgsl0ldbl -y
sudo apt-get install flex bison lib...

Ubuntu从apt源中安装vscode

近期针对从vscode官网下载较慢,所以选择使用apt install下载vscode。
1.添加微软公钥

wget -q https://packages.microsoft.com/keys/microsoft.asc -O- | sudo apt-key add -

2.安装依赖文件

sudo apt install software-properties-common apt-transport-https wget

3.将vscode的apt源添加到到本地

sudo add-apt-repository "deb [arch=amd64] https://packages...

记一次docker配置Ubuntu容器

创建一个Ubuntu18的docker容器,在后台运行,并命名为ubuntu18
docker run -itd --name ubuntu18 ubuntu:18.04
进入容器
docker exec -it ubuntu18 /bin/bash
切换到/etc/apt
cd /etc/apt
备份sources.list
cp sources.list sources.list.bak
将所有apt源改为mirror://mirrors.ubuntu.com/mirrors.txt
更新软件包索引,并安装证书
apt update && apt install ca-c...

Ubuntu 安装ip,ifconfig, ping命令

sudo apt-get update
sudo apt-get install iproute2 //ip
sudo apt-get install net-tools //ifocnfig
sudo apt-get install ping //centos 使用
sudo apt-get install inetutils-ping //ubuntu

如果没有一直坚持,也不会有质的飞跃,当生命有了限度,每个人的价值就会浮现。
船长博客,期待共同交流提高!

本文如对...

Ubuntu 安装gmpy2模块

需要的依赖库 gmp mpfr mpc
gmp 库安装
sudo apt-get install libgmp-dev

mpfr 库安装
sudo apt-get install libmpfr-dev

mpc 库安装
sudo apt-get install libmpc-dev

gmpy2 安装
sudo pip3 install gmpy2
#或者
sudo pip install gmpy2

Successfully installed gmpy2

导入gmpy2模块success

CSDN
https://blog.csdn.net/qq_28573835/articl...

MT7688 Ubuntu uboot编译报错问题

make menuconfig 错误

1.fatal error: zlib.h: No such file or directory
sudo apt-get install zlib1g-dev
 
2./usr/bin/ld: cannot find -lncurses
 
如果是32位的就用:sudo apt-get install libncurses5-dev
如果是64位的,就用:sudo apt-get install lib32ncurses5-dev

 
安装
1.输入 make
报错: In file included from ...

Ubuntu 开启22端口

sudo apt-get install openssh-server
sudo apt-get install ufw
sudo ufw enable
sudo ufw allow 22

...

Ubuntu squid服务器

一、更新系统软件包(非必须)

sudo apt update
sudo apt upgrade

 
二、安装squid

sudo apt install squid

 
三、备份配置文件

sudo cp /etc/squid/squid.conf /etc/squid/squid.conf.original
sudo chmod a-w /etc/squid/squid.conf.original

 
四、编辑配置文件

sudo vim /etc/squid/squid.conf

squid.conf 文件内容:

http_port 88...

Ubuntu下Apache添加PHP7功能

需要安装一个Apache扩展包

sudo apt-get install libapache2-mod-php

-------------------------------------------
参考链接

...

文章标题:Ubuntu使用apt-file解决库或者文件缺失依赖
文章链接:https://www.dianjilingqu.com/51338.html
本文章来源于网络,版权归原作者所有,如果本站文章侵犯了您的权益,请联系我们删除,联系邮箱:saisai#email.cn,感谢支持理解。
THE END
< <上一篇
下一篇>>